[Unit]
Description=CoreMedia {{ coremedia_application_name }}
After=syslog.target network.target

ConditionFileNotEmpty = {{ content_management.cap.server.license }}

[Service]
Type=forking
PIDFile={{ content_management.user_home }}/apache-tomcat.pid

Environment=CATALINA_PID={{ content_management.user_home }}/apache-tomcat.pid
Environment=CATALINA_HOME={{ content_management.user_home }}/current

ExecStart={{ content_management.user_home }}/current/bin/startup.sh -Dprocessname={{ coremedia_application_name }}
ExecStop={{ content_management.user_home }}/current/bin/shutdown.sh 30

User={{ content_management_user }}
Group={{ content_management_group }}

[Install]
WantedBy=multi-user.target
